Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Les deux révisions précédentes Révision précédente
Prochaine révision
Révision précédente
openjdk [Le 24/06/2018, 09:01]
LukePerp [Désinstallation]
openjdk [Le 29/01/2019, 15:34] (Version actuelle)
109.28.46.94 [Version 11]
Ligne 15: Ligne 15:
  
 Pour installer la plate-forme d'​exécution %%JRE%% d'​**OpenJDK**,​ il suffit d'​[[:​tutoriel:​comment_installer_un_paquet|installer les paquets]] **[[apt>​default-jre]]** et son greffon pour les [[:​navigateur|navigateurs internet]]: **[[apt>​icedtea-plugin]]**. \\ Pour installer la plate-forme d'​exécution %%JRE%% d'​**OpenJDK**,​ il suffit d'​[[:​tutoriel:​comment_installer_un_paquet|installer les paquets]] **[[apt>​default-jre]]** et son greffon pour les [[:​navigateur|navigateurs internet]]: **[[apt>​icedtea-plugin]]**. \\
-Cette procédure installera la version 8 sous [[:​xenial|Ubuntu Xenial 16.04]], et la version 7 sous [[:​trusty|Ubuntu Trusty 14.04]] ((Pour [[:​trusty|Ubuntu Trusty 14.04]] , la version 8 n'est pas disponible dans les dépôts officiels mais [[#Version 8 pour Trusty 14.04|depuis un PPA (ci-dessous)]].)).+Cette procédure installera ​la version 10 sous [[:​bionic|Ubuntu Bionic 18.04]] (même si le paquet est //​openjdk-11-jdk//​), ​la version 8 sous [[:​xenial|Ubuntu Xenial 16.04]], et la version 7 sous [[:​trusty|Ubuntu Trusty 14.04]] ((Pour [[:​trusty|Ubuntu Trusty 14.04]] , la version 8 n'est pas disponible dans les dépôts officiels mais [[#Version 8 pour Trusty 14.04|depuis un PPA (ci-dessous)]].)).
 <​note>​Le greffon **Icedtea** fonctionne avec les principaux [[:​navigateur|navigateurs internet]]: [[:​Firefox]], ​ [[ :​Epiphany]],​ [[:​Chromium]] et ses dérivés [[:Google Chrome]] et [[:Opera]]. Pour [[:​Konqueror]],​ une fois installé, allez à **Paramètres** → **Configurer Konqueror **... et à partir du menu de sélection Java et JavaScript, cochez **Activer l'​option Java environnement**. </​note>​ <​note>​Le greffon **Icedtea** fonctionne avec les principaux [[:​navigateur|navigateurs internet]]: [[:​Firefox]], ​ [[ :​Epiphany]],​ [[:​Chromium]] et ses dérivés [[:Google Chrome]] et [[:Opera]]. Pour [[:​Konqueror]],​ une fois installé, allez à **Paramètres** → **Configurer Konqueror **... et à partir du menu de sélection Java et JavaScript, cochez **Activer l'​option Java environnement**. </​note>​
-Redémarrez votre navigateur internet, ​et voilà, ça marche.=) :D+Redémarrez votre navigateur internet, ​cela devrait fonctionner.
  
 ====Autres versions==== ====Autres versions====
Ligne 24: Ligne 24:
   * Sur Ubuntu Trusty 14.04, deux versions d'​openjdk sont dans les dépôts: la version 6 et la version 7   * Sur Ubuntu Trusty 14.04, deux versions d'​openjdk sont dans les dépôts: la version 6 et la version 7
   * Pour installer une version différente,​ il suffit d'​installer le paquet **[[apt>​openjdk-8-jre]]** et son greffon pour les [[:​navigateur|navigateurs internet]]: **[[apt>​icedtea-8-plugin]]** (à adapter selon la version voulue)   * Pour installer une version différente,​ il suffit d'​installer le paquet **[[apt>​openjdk-8-jre]]** et son greffon pour les [[:​navigateur|navigateurs internet]]: **[[apt>​icedtea-8-plugin]]** (à adapter selon la version voulue)
 +
 +<note warning>​Depuis la version 11, la version de l'​OpenJDK et la [[java|version de Oracle]] sont identiques (à quelques différences cosmétiques près et au support).</​note>​
 +
 +====Version 11====
 +
 +  * Sur //Ubuntu Bionic 18.04//, pour installer la vraie version 11 de OpenJdk, il faut la télecharger et la décompacter :
 +<​code>​wget https://​download.java.net/​java/​GA/​jdk11/​13/​GPL/​openjdk-11.0.1_linux-x64_bin.tar.gz && sudo tar xvf openjdk-11.0.1_linux-x64_bin.tar.gz --directory /​usr/​lib/​jvm/​ && sudo update-alternatives --install /​usr/​bin/​java java /​usr/​lib/​jvm/​jdk-11.0.1/​bin/​java 1 && sudo update-alternatives --install /​usr/​bin/​javac javac /​usr/​lib/​jvm/​jdk-11.0.1/​bin/​javac 1
 +</​code>​
 +ou si cela ne fonctionne pas (source site des développeurs freeplane https://​sourceforge.net/​p/​freeplane/​bugs/​2631/​)
 +<​code>​sudo add-apt-repository ppa:​openjdk-r/​ppa
 +sudo apt-get update
 +sudo apt install openjdk-11-jre</​code>​
 +  * Sur //Ubuntu Cosmic 18.10//, il suffit d'​installer le paquet ''​openjdk-11-jdk''​ qui installe bien la version 11 (contrairement à celui de la 18.04 qui installe une version 10).
 +
 +
 +Dans les 2 cas, s'il y a d'​autres version de Java, il faut choisir la bonne version avec 
 +<​code>​sudo update-alternatives --config java
 +</​code>​
 +
  
 ====Version 8 pour Trusty 14.04==== ====Version 8 pour Trusty 14.04====
Ligne 72: Ligne 91:
   * **(en)** [[http://​openjdk.java.net/​|Le site officiel d'​OpenJDK]]   * **(en)** [[http://​openjdk.java.net/​|Le site officiel d'​OpenJDK]]
   * [[:​java_propriétaire|La page consacré à la version propriétaire de Java]]   * [[:​java_propriétaire|La page consacré à la version propriétaire de Java]]
 +  * **(en)** [[https://​www.linuxbabe.com/​ubuntu/​install-oracle-java-8-openjdk-11-ubuntu-18-04-18-10|Install Oracle Java 8 and Open JDK 11 with Ubuntu 18.04 and 18.10]] 
 +  * 
  ----  ----
  
 //​Contributeurs : // //​Contributeurs : //
  • openjdk.1529823690.txt.gz
  • Dernière modification: Le 24/06/2018, 09:01
  • par LukePerp